Bug 332708 - Presets tags in other languages have wrong encoding after restarting Krita
Summary: Presets tags in other languages have wrong encoding after restarting Krita
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: git master (please specify the git hash!)
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL: https://bugs.launchpad.net/krita-ru/+...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-27 19:52 UTC by Dmitry Kazakov
Modified: 2014-04-10 08:25 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Kazakov 2014-03-27 19:52:50 UTC
If I create russian tag for presets, first time all'll be ok, but then charset goes to incorrect way. I tried to fix it by editing config manually. Again all works only before krita restarts (first start is ok). Screen: http://cs/618624.vk.me/v618624503/1425/JG8RyYMRB5U.jpg
As I fill, Krita adds symbols to this "problematic tags" and in some time they become something like this: http://cs618624.vk.me/v618624503/142f/cPGIwjddSk8.jpg
As you see it's very uncomfortable. And adding the tags become real uncomfortable. And, if krita adds symbols, it will may become real problem for performance and free disk space size.

Version:
Krita
Версия 2.9 Pre-Alpha (git 2014-03-26 (yesterday))
Использует KDE 4.12.3
Comment 1 Halla Rempt 2014-03-27 20:09:06 UTC
Hm... When I click on those screenshots I get advertisements for "national cleavage day"! But I am pretty sure that we're saving tags in latin1, not utf8 somehow...
Comment 3 Sven Langkamp 2014-04-02 18:28:56 UTC
Git commit c0faa1d0327548765fa67e1257316ae7b05b7d60 by Sven Langkamp.
Committed on 02/04/2014 at 18:27.
Pushed by langkamp into branch 'master'.

save tags with special characters properly

M  +1    -1    libs/widgets/KoResourceTagStore.cpp

http://commits.kde.org/calligra/c0faa1d0327548765fa67e1257316ae7b05b7d60
Comment 4 Halla Rempt 2014-04-10 08:25:21 UTC
Git commit 42fe4003d9b952395b7f26fca5ce26139989503b by Boudewijn Rempt, on behalf of Sven Langkamp.
Committed on 02/04/2014 at 18:27.
Pushed by rempt into branch 'calligra/2.8'.

save tags with special characters properly

M  +1    -1    libs/widgets/KoResourceTagStore.cpp

http://commits.kde.org/calligra/42fe4003d9b952395b7f26fca5ce26139989503b